flashy_tab_bar 0.0.3
flashy_tab_bar: ^0.0.3

Flutter Android iOS

One another nice animated tabbar (Flutter Version) (inspired by https://github.com/Cuberto/flashy-tabbar)

flashy_tab_bar #

GitHub license

One another nice animated tabbar (Inspired by Cuberto)

Animation

Preview #

AndroidiOS

Getting Started #

Add the dependency at pubspec.yaml:

dependencies:
  ...
  flashy_tab_bar: ^0.0.3

Basic Usage #

bottomNavigationBar: FlashyTabBar(
     selectedIndex: _selectedIndex,
     showElevation: true,
     onItemSelected: (index) => setState(() {
       _selectedIndex = index;
     }),
     items: [
        FlashyTabBarItem(
          icon: Icon(Icons.event),
          title: Text('Events'),
        ),
        FlashyTabBarItem(
          icon: Icon(Icons.search),
          title: Text('Search'),
        ),
        FlashyTabBarItem(
          icon: Icon(Icons.highlight),
          title: Text('Highlights'),
        ),
        FlashyTabBarItem(
          icon: Icon(Icons.settings),
          title: Text('Settings'),
        ),
        FlashyTabBarItem(
          icon: Icon(Icons.settings),
          title: Text('한국어'),
        ),
      ],
),
72
likes
80
pub points
79%
popularity

One another nice animated tabbar (Flutter Version) (inspired by https://github.com/Cuberto/flashy-tabbar)

Repository (GitHub)
View/report issues

Documentation

API reference

Uploader

leesnhyun@gmail.com

License

MIT (LICENSE)

Dependencies

flutter

More

Packages that depend on flashy_tab_bar